Bug 848688 - DVB-T USB KEY RTL2838UHIDIR not supported [NEEDINFO]
DVB-T USB KEY RTL2838UHIDIR not supported
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Linda Wang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 04:34 EDT by mie.iscrizioni
Modified: 2013-11-27 11:08 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:08:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (mie.iscrizioni)


Attachments (Terms of Use)

  None (edit)
Description mie.iscrizioni 2012-08-16 04:34:36 EDT
as subj say, there is not support for this hardware (at least i have not found a solution even on google) while other distro (like archlinux) have some type of support from community (AUR)
http://aur.archlinux.org/packages.php?ID=58148

thanks !
Comment 1 mie.iscrizioni 2012-08-16 12:20:33 EDT
lsusb:
Bus 002 Device 006: ID 0bda:2838 Realtek Semiconductor Corp.

dmesg:
[22162.365220] usb 2-3.3: USB disconnect, device number 6
[22166.126227] usb 2-3.3: new high-speed USB device number 8 using ehci_hcd
[22166.226095] usb 2-3.3: New USB device found, idVendor=0bda, idProduct=2838
[22166.226103] usb 2-3.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[22166.226108] usb 2-3.3: Product: RTL2838UHIDIR
[22166.226111] usb 2-3.3: Manufacturer: Realtek
[22166.226115] usb 2-3.3: SerialNumber: 00000260
Comment 2 Alessandro 2012-10-21 11:43:19 EDT
Hi 

I have the same problem but I managed to have it working with Kernel 3.6.2 compiling an external kernel module I modified a little bit.

Unfortunately the embedded kernel 3.6 module still lacks working with RTL 2832 and RTL 2838 chips, but if you compile teh external module they do work good.

Take a look at here:

http://www.alexbianchi.it/interessi-e-passioni/tecnologia/129-dvt-stick-rtl-2832u-e-2838-su-fedora-17.html

I modified this module:

https://github.com/tmair/DVB-Realtek-RTL2832U-2.2.2-10tuner-mod_kernel-3.0.0.git

(the site is italian but just yse a translator to have it in english or whatever language you like, the text is very simple and the source code is included

Best regards
Comment 3 mie.iscrizioni 2012-10-22 04:35:30 EDT
(In reply to comment #2)
> http://www.alexbianchi.it/interessi-e-passioni/tecnologia/129-dvt-stick-rtl-
> 2832u-e-2838-su-fedora-17.html

I can confirm it is working very well (sometime audio goes off, dunno why, i think it is due to bad reception)!
Thanks for your fix :)
(I'm Italian !)
Comment 4 Alessandro 2012-10-22 04:39:55 EDT
Happy to hear it works for you also!

Hope the fix will soon be usless and have support included in the kernel

Best regards

Ciao!
Comment 5 Antti Palosaari 2012-11-05 16:25:16 EST
That device is likely supported starting from the Kernel 3.7.
http://palosaari.fi/linux/
RTL2832U devices with following RF-tuners are supported: FC0012, FC0013, E4000, FC2580 and TUA9001. You may install media_build.git or test latest 3.7 development Kernel.
Comment 6 Alessandro 2012-11-07 09:03:56 EST
Thank you

I'll give media_build a try

Best regards
Comment 7 Josh Boyer 2013-01-22 09:35:20 EST
This should be fixed with the 3.7 kernel rebase we currently have in updates-testing.  The fc2580 module is included in that.
Comment 8 Fedora Update System 2013-01-22 09:36:35 EST
kernel-3.7.3-101.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2013-1025/kernel-3.7.3-101.fc17
Comment 9 mie.iscrizioni 2013-01-22 10:01:08 EST
(In reply to comment #8)
> kernel-3.7.3-101.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/FEDORA-2013-1025/kernel-3.7.3-101.
> fc17

unfortunately now i have Fedora 18:
[root@hp-dm1 ~]# uname -a
Linux hp-dm1 3.7.2-204.fc18.x86_64 #1 SMP Wed Jan 16 16:22:52 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

still no support for this dvb-t device.
Comment 10 Josh Boyer 2013-01-22 10:37:45 EST
OK.  We'll remove this bug from the buglist so it doesn't get closed, and move it to F18.

Mauro, Antti, any thoughts?
Comment 11 Antti Palosaari 2013-01-22 11:03:08 EST
I just booted to 3.7.3-101.fc17.x86_64 from updates testing. RTL2832U + FC2580 I have is working fine. Also that USB ID 0bda:2838 is bind by the driver.
alias:          usb:v0BDAp2838d*dc*dsc*dp*ic*isc*ip*in*

Maybe there is no FC2580 RF-tuner but some other?

Logs needed. Driver starts probing used RF-tuner just after device is plugged. There should be some info on log what goes wrong. Use dmesg command just after device is plugged to USB port and copy & paste relevant ~20 lines here.
Comment 12 dietmar.a.huebner 2013-01-29 15:20:48 EST
(In reply to comment #11)
> I just booted to 3.7.3-101.fc17.x86_64 from updates testing. RTL2832U +
> FC2580 I have is working fine. Also that USB ID 0bda:2838 is bind by the
> driver.
> alias:          usb:v0BDAp2838d*dc*dsc*dp*ic*isc*ip*in*
> 
> Maybe there is no FC2580 RF-tuner but some other?
> 
> Logs needed. Driver starts probing used RF-tuner just after device is
> plugged. There should be some info on log what goes wrong. Use dmesg command
> just after device is plugged to USB port and copy & paste relevant ~20 lines
> here.

I just booted 3.6.4 and additional 3.7.4 and got the same output with the Stick  ID 0bda:2838

Jan 27 15:26:39 gate kernel: usb 3-4: adding 3-4:1.1 (config #1, interface 1)
Jan 27 15:26:39 gate mtp-probe: checking bus 3, device 3: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-4"
Jan 27 15:26:39 gate mtp-probe: bus: 3, device: 3 was not an MTP device
Jan 27 15:26:40 gate kernel: dvb_usb_rtl28xxu 3-4:1.0: usb_probe_interface
Jan 27 15:26:40 gate kernel: dvb_usb_rtl28xxu 3-4:1.0: usb_probe_interface - got id
Jan 27 15:26:40 gate kernel: usb 3-4: dvb_usb_v2: found a 'Realtek RTL2832U reference design' in warm state
Jan 27 15:26:40 gate kernel: dvb_usb_rtl28xxu 3-4:1.1: usb_probe_interface
Jan 27 15:26:40 gate kernel: dvb_usb_rtl28xxu 3-4:1.1: usb_probe_interface - got id
Jan 27 15:26:40 gate kernel: usbcore: registered new interface driver dvb_usb_rtl28xxu
Jan 27 15:26:40 gate kernel: usb 3-4: dvb_usb_v2: will pass the complete MPEG2 transport stream to the software demuxer
Jan 27 15:26:40 gate kernel: DVB: registering new adapter (Realtek RTL2832U reference design)
Jan 27 15:26:40 gate kernel: usb 3-4: dvb_usb_rtl28xxu: unknown tuner=NONE
Jan 27 15:26:40 gate kernel: usb 3-4: dvb_usb_v2: 'Realtek RTL2832U reference design' error while loading driver (-19)
Jan 27 15:26:40 gate kernel: usb 3-4: dvb_usb_v2: 'Realtek RTL2832U reference design' successfully deinitialized and disconnected

Do you have a Idea to resolve this problem ?
Dietmar
Comment 13 Antti Palosaari 2013-01-30 07:19:07 EST
That hardware must has some unsupported RF-tuner. I am almost 100% sure it is Rafael Micro R820t. There is no mainline Kernel driver for that RF-tuner chip and due to that your device is not working. AFAIK there is no one working with that RF-tuner driver currently.

You could try to use vendor provided Linux driver as mainline Kernel driver is missing. I could guess Fedora policy is to keep Kernel close to official Kernel and not to replace device drivers with some others.
Comment 14 Michal Ambroz 2013-05-11 16:24:37 EDT
Hi,
I just got the same device from 
http://www.ebay.com/itm/300786497203?ssPageName=STRK:MEWNX:IT&_trksid=p3984.m1439.l2649

lsusb 
Bus 002 Device 003: ID 0bda:2838 Realtek Semiconductor Corp. RTL2838 DVB-T

dmesg
[117928.471295] usb 2-6: new high-speed USB device number 2 using ehci-pci
[117928.600155] usb 2-6: New USB device found, idVendor=0bda, idProduct=2838
[117928.600167] usb 2-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[117928.600174] usb 2-6: Product: RTL2838UHIDIR
[117928.600179] usb 2-6: Manufacturer: Realtek
[117928.600185] usb 2-6: SerialNumber: 00000001
mtp-probe: checking bus 2, device 2: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-6"
mtp-probe: bus: 2, device: 2 was not an MTP device
ctx_usb_isactive[29380]: ftok: No such file or directory
[117929.394294] usb 2-6: dvb_usb_v2: found a 'Realtek RTL2832U reference design' in warm state
[117929.394861] usbcore: registered new interface driver dvb_usb_rtl28xxu
ctx_usb_isactive[29395]: ftok: No such file or directory
ctx_usb_isactive[29396]: ftok: No such file or directory
[117929.458166] usb 2-6: dvb_usb_v2: will pass the complete MPEG2 transport stream to the software demuxer
[117929.458206] DVB: registering new adapter (Realtek RTL2832U reference design)
[117929.461381] usb 2-6: dvb_usb_rtl28xxu: unknown tuner=NONE
[117929.473041] usb 2-6: dvb_usb_v2: 'Realtek RTL2832U reference design' error while loading driver (-19)
[117929.473790] usb 2-6: dvb_usb_v2: 'Realtek RTL2832U reference design' successfully deinitialized and disconnected
[29394]: Failed to apply ACL on /dev/dvb/adapter0/net0: No such file or directory
[29394]: Failed to apply ACL on /dev/dvb/adapter0/net0: No such file or directory


Device has R820T as tuner.

It works rtl-sdr, but not in the kernel driver.
Comment 15 Antti Palosaari 2013-05-11 17:36:08 EDT
That RTL2832U + R820T based device is supported starting from the Kernel 3.10.
Before that you could try 3.10 RC Kernels or media_build from LinuxTV.org.
Comment 17 Justin M. Forbes 2013-10-18 17:03:41 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 18 Justin M. Forbes 2013-11-27 11:08:36 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.